diff --git a/game/core/src/main/java/net/minecraft/core/entity/animal/MobWolf.java b/game/core/src/main/java/net/minecraft/core/entity/animal/MobWolf.java
index 73764f68c..deabb3348 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/animal/MobWolf.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/animal/MobWolf.java
@@ -576,111 +500,82 @@ public class MobWolf
 
             }
 
-        } else
-        {
+        } else {
             setPathToEntity(path);
         }
     }
 
     @Override
-	protected boolean isMovementCeased()
-    {
-        return isWolfSitting() || field_25052_g;
+    protected boolean isMovementCeased() {
+        return isWolfSitting() || this.field_25052_g;
     }
 
     @Override
-    public boolean hurt(Entity attacker, int i, DamageType type)
-    {
+    public boolean hurt(Entity attacker, int i, DamageType type) {
         setWolfSitting(false);
-        if(attacker != null && !(attacker instanceof Player) && !(attacker instanceof ProjectileArrow))
-        {
+        if (attacker != null && !(attacker instanceof Player) && !(attacker instanceof ProjectileArrow)) {
             i = (i + 1) / 2;
         }
-        if(super.hurt(attacker, i, type))
-        {
-            if(!isWolfTamed() && !isWolfAngry())
-            {
-                if(attacker instanceof Player)
-                {
+        if (super.hurt(attacker, i, type)) {
+            if (!isWolfTamed() && !isWolfAngry()) {
+                if (attacker instanceof Player) {
                     setWolfAngry(true);
-                    target = attacker;
+                    this.target = attacker;
                 }
-                if((attacker instanceof ProjectileArrow) && ((ProjectileArrow) attacker).owner != null)
-                {
+                if ((attacker instanceof ProjectileArrow) && ((ProjectileArrow) attacker).owner != null) {
                     attacker = ((ProjectileArrow) attacker).owner;
                 }
-                if(attacker instanceof Mob)
-                {
-                    List<MobWolf> list = world.getEntitiesWithinAABB(MobWolf.class, AABB.fromPool(x, y, z, x + 1.0D, y + 1.0D, z + 1.0D).grow(16D, 4D, 16D));
-                    Iterator<MobWolf> iterator = list.iterator();
-                    do
-                    {
-                        if(!iterator.hasNext())
-                        {
-                            break;
-                        }
-                        MobWolf mobWolf = iterator.next();
-                        if(!mobWolf.isWolfTamed() && mobWolf.target == null)
-                        {
+                if (attacker instanceof Mob) {
+                    AABBd checkBB = new AABBd(this.x, this.y, this.z, this.x + 1.0D, this.y + 1.0D, this.z + 1.0D);
+                    MathHelper.aabbGrow(checkBB, 16D, 4D, 16D, checkBB);
+                    List<MobWolf> list = this.world.getEntitiesWithinAABB(MobWolf.class, checkBB);
+                    for (MobWolf mobWolf : list) {
+                        if (!mobWolf.isWolfTamed() && mobWolf.target == null) {
                             mobWolf.target = attacker;
-                            if(attacker instanceof Player)
-                            {
+                            if (attacker instanceof Player) {
                                 mobWolf.setWolfAngry(true);
                             }
                         }
-                    } while(true);
+                    }
                 }
-            } else
-            if(attacker != this && attacker != null)
-            {
-                if(isWolfTamed() && (attacker instanceof Player) && ((Player) attacker).uuid.equals(getWolfOwner()))
-                {
+            } else if (attacker != this && attacker != null) {
+                if (isWolfTamed() && attacker instanceof Player attackerPlayer && attackerPlayer.uuid.equals(getWolfOwner())) {
                     return true;
                 }
-                target = attacker;
+                this.target = attacker;
             }
             return true;
-        } else
-        {
+        } else {
             return false;
         }
     }
 
     @Override
-	protected Entity findPlayerToAttack()
-    {
-        if(isWolfAngry())
-        {
-            return world.getClosestPlayerToEntity(this, 16D);
-        } else
-        {
+    protected Entity findPlayerToAttack() {
+        if (isWolfAngry()) {
+            return this.world.getClosestPlayerToEntity(this, 16D);
+        } else {
             return null;
         }
     }
 
     @Override
-	protected void attackEntity(@NotNull Entity entity, float distance)
-    {
-        if(entity instanceof EntityItem || entity == world.getPlayerEntityByUUID(getWolfOwner()))
+    protected void attackEntity(@NotNull Entity entity, float distance) {
+        if (entity instanceof EntityItem || entity == this.world.getPlayerEntityByUUID(getWolfOwner()))
             return;
-        if(distance > 2.0F && distance < 6F && random.nextInt(10) == 0)
-        {
-            if(onGround)
-            {
-                double dx = entity.x - x;
-                double dz = entity.z - z;
+        if (distance > 2.0F && distance < 6F && this.random.nextInt(10) == 0) {
+            if (this.onGround) {
+                double dx = entity.x - this.x;
+                double dz = entity.z - this.z;
                 float targetDistance = MathHelper.sqrt(dx * dx + dz * dz);
-                xd = (dx / targetDistance) * 0.5D * 0.8D + xd * 0.2D;
-                zd = (dz / targetDistance) * 0.5D * 0.8D + zd * 0.2D;
-                yd = 0.4D;
+                this.xd = (dx / targetDistance) * 0.5D * 0.8D + this.xd * 0.2D;
+                this.zd = (dz / targetDistance) * 0.5D * 0.8D + this.zd * 0.2D;
+                this.yd = 0.4D;
             }
-        } else
-        if(distance < 1.5D && entity.bb.maxY > bb.minY && entity.bb.minY < bb.maxY)
-        {
-            attackTime = 20;
+        } else if (distance < 1.5D && entity.bb.maxY > this.bb.minY && entity.bb.minY < this.bb.maxY) {
+            this.attackTime = 20;
             byte damage = 2;
-            if(isWolfTamed())
-            {
+            if (isWolfTamed()) {
                 damage = 4;
             }
             entity.hurt(this, damage, DamageType.COMBAT);
@@ -700,15 +595,13 @@ public class MobWolf
         //If you take little damage and have lots of protection against that damage
         //there is a high change you wont take any damage
         double d = damage * protection;
-        int newDamage = (int) (random.nextFloat() > 0.5 ? Math.floor(d) : Math.ceil(d));
+        int newDamage = (int) (this.random.nextFloat() > 0.5 ? Math.floor(d) : Math.ceil(d));
 
         super.damageEntity(newDamage, damageType);
     }
 
-    public void lavaHurt()
-    {
-        if(!fireImmune)
-        {
+    public void lavaHurt() {
+        if (!this.fireImmune) {
             float protection = 0;
             ArmorMaterial material;
             if ((material = getArmorMaterial()) != null) {
@@ -716,15 +609,13 @@ public class MobWolf
             }
             protection = Math.max(protection, 0.01f);
             hurt(null, 4, DamageType.FIRE);
-            remainingFireTicks = (int) (80 + 520 * protection);
-            maxFireTicks = remainingFireTicks;
+            this.remainingFireTicks = (int) (80 + 520 * protection);
+            this.maxFireTicks = this.remainingFireTicks;
         }
     }
 
-    public void fireHurt()
-    {
-        if(!fireImmune)
-        {
+    public void fireHurt() {
+        if (!this.fireImmune) {
             float protection = 0;
             ArmorMaterial material;
             if ((material = getArmorMaterial()) != null) {
@@ -732,68 +623,54 @@ public class MobWolf
             }
             protection = Math.max(protection, 0.01f);
             hurt(null, 1, DamageType.FIRE);
-            remainingFireTicks = (int) (40 + 260 * protection);
-            maxFireTicks = remainingFireTicks;
+            this.remainingFireTicks = (int) (40 + 260 * protection);
+            this.maxFireTicks = this.remainingFireTicks;
         }
     }
 
     @Override
-	public boolean interact(@NotNull Player player)
-    {
+    public boolean interact(@NotNull Player player) {
         if (super.interact(player)) return true;
         ItemStack itemstack = player.inventory.getCurrentItem();
-        if(!isWolfTamed())
-        {
-            if(itemstack != null && itemstack.itemID == Items.BONE.id && !isWolfAngry())
-            {
+        if (!isWolfTamed()) {
+            if (itemstack != null && itemstack.itemID == Items.BONE.id && !isWolfAngry()) {
                 itemstack.consumeItem(player);
-                if(itemstack.stackSize <= 0)
-                {
+                if (itemstack.stackSize <= 0) {
                     player.inventory.setItem(player.inventory.getCurrentItemIndex(), null);
                 }
-                if(!world.isClientSide)
-                {
-                    if(random.nextInt(3) == 0 || !player.getGamemode().consumeBlocks())
-                    {
+                if (!this.world.isClientSide) {
+                    if (this.random.nextInt(3) == 0 || !player.getGamemode().consumeBlocks()) {
                         setWolfTamed(true);
                         setPathToEntity(null);
                         setWolfSitting(true);
                         setHealthRaw(getMaxHealth());
                         setWolfOwner(player.uuid);
                         showHeartsOrSmokeFX(true);
-                        world.sendTrackedEntityStatusUpdatePacket(this, (byte)7);
-                    } else
-                    {
+                        this.world.sendTrackedEntityStatusUpdatePacket(this, (byte) 7);
+                    } else {
                         showHeartsOrSmokeFX(false);
-                        world.sendTrackedEntityStatusUpdatePacket(this, (byte)6);
+                        this.world.sendTrackedEntityStatusUpdatePacket(this, (byte) 6);
                     }
                 }
                 return true;
             }
-        } else
-        {
-            if(itemstack != null && (Item.itemsList[itemstack.itemID] instanceof ItemFood))
-            {
-                ItemFood itemfood = (ItemFood)Item.itemsList[itemstack.itemID];
-                if(itemfood.getIsWolfsFavoriteMeat() && getHealth() < getMaxHealth())
-                {
-                	if (player.getGamemode().consumeBlocks())
-                	{
-                		itemstack.stackSize--;
-                		if(itemstack.stackSize <= 0)
-                		{
-                			player.inventory.setItem(player.inventory.getCurrentItemIndex(), null);
-                		}                		
-                	}
+        } else {
+            if (itemstack != null && (Item.itemsList[itemstack.itemID] instanceof ItemFood itemfood)) {
+                if (itemfood.getIsWolfsFavoriteMeat() && getHealth() < getMaxHealth()) {
+                    if (player.getGamemode().consumeBlocks()) {
+                        itemstack.stackSize--;
+                        if (itemstack.stackSize <= 0) {
+                            player.inventory.setItem(player.inventory.getCurrentItemIndex(), null);
+                        }
+                    }
                     heal(itemfood.getHealAmount());
                     return true;
                 }
             }
-            if (itemstack != null && itemstack.getItem() instanceof IArmorItem && player.uuid.equals(getWolfOwner())) {
-                IArmorItem armorItem = (IArmorItem) itemstack.getItem();
+            if (itemstack != null && itemstack.getItem() instanceof IArmorItem<?> armorItem && player.uuid.equals(getWolfOwner())) {
                 if (armorItem.getArmorMaterial() != null && ARMOR_MATERIALS.containsValue(armorItem)) {
-                    if (armor != null) {
-                        dropItem(armor, 0.0f);
+                    if (this.armor != null) {
+                        dropItem(this.armor, 0.0f);
                         setArmor(null);
                     }
                     setArmor(new ItemStack(itemstack.getItem(), 1, itemstack.getMetadata(), itemstack.getData()));
@@ -806,24 +683,22 @@ public class MobWolf
                     return true;
                 }
             }
-            if (itemstack == null && player.isSneaking() && armor != null && player.uuid.equals(getWolfOwner())) {
-                dropItem(armor, 0.0f);
+            if (itemstack == null && player.isSneaking() && this.armor != null && player.uuid.equals(getWolfOwner())) {
+                dropItem(this.armor, 0.0f);
                 setArmor(null);
                 return true;
             }
-            if(player.uuid.equals(getWolfOwner()))
-            {
-                if(!world.isClientSide)
-                {
+            if (player.uuid.equals(getWolfOwner())) {
+                if (!this.world.isClientSide) {
                     ItemStack heldItemSlot = getHeldItem();
-                    if(isWolfSitting() && heldItemSlot != null && heldItemSlot.getItem() != null && heldItemSlot.itemID > 0 && !player.isSneaking()) {
-                    	player.inventory.insertItem(heldItemSlot, true);
-                    	if(heldItemSlot.stackSize <= 0) {
-                    		setHeldItem(null);
-                    	}
-                    }else {
+                    if (isWolfSitting() && heldItemSlot != null && heldItemSlot.itemID > 0 && !player.isSneaking()) {
+                        player.inventory.insertItem(heldItemSlot, true);
+                        if (heldItemSlot.stackSize <= 0) {
+                            setHeldItem(null);
+                        }
+                    } else {
                         setWolfSitting(!isWolfSitting());
-                        isJumping = false;
+                        this.isJumping = false;
                         setPathToEntity(null);
                     }
                 }
@@ -833,110 +708,87 @@ public class MobWolf
         return false;
     }
 
-    void showHeartsOrSmokeFX(boolean doSmoke)
-    {
+    void showHeartsOrSmokeFX(boolean doSmoke) {
         String s = "heart";
-        if(!doSmoke)
-        {
+        if (!doSmoke) {
             s = "smoke";
         }
-        for(int i = 0; i < 7; i++)
-        {
-            double motionX = random.nextGaussian() * 0.02D;
-            double motionY = random.nextGaussian() * 0.02D;
-            double motionZ = random.nextGaussian() * 0.02D;
-            world.spawnParticle(s, (x + (double)(random.nextFloat() * bbWidth * 2.0F)) - (double) bbWidth, y + 0.5D + (double)(random.nextFloat() * bbHeight), (z + (double)(random.nextFloat() * bbWidth * 2.0F)) - (double) bbWidth, motionX, motionY, motionZ, 0);
+        for (int i = 0; i < 7; i++) {
+            double motionX = this.random.nextGaussian() * 0.02D;
+            double motionY = this.random.nextGaussian() * 0.02D;
+            double motionZ = this.random.nextGaussian() * 0.02D;
+            this.world.spawnParticle(s, (this.x + (double) (this.random.nextFloat() * this.bbWidth * 2.0F)) - (double) this.bbWidth, this.y + 0.5D + (double) (this.random.nextFloat() * this.bbHeight), (this.z + (double) (this.random.nextFloat() * this.bbWidth * 2.0F)) - (double) this.bbWidth, motionX, motionY, motionZ, 0);
         }
 
     }
+
     @Override
-    public int getMaxHealth(){
-        if (isWolfTamed()){
+    public int getMaxHealth() {
+        if (isWolfTamed()) {
             return 20;
         }
         return 8;
     }
 
     @Override
-	public void handleEntityEvent(byte byte0, float attackedAtYaw)
-    {
-        if(byte0 == 7)
-        {
+    public void handleEntityEvent(byte byte0, float attackedAtYaw) {
+        if (byte0 == 7) {
             showHeartsOrSmokeFX(true);
-        } else
-        if(byte0 == 6)
-        {
+        } else if (byte0 == 6) {
             showHeartsOrSmokeFX(false);
-        } else
-        if(byte0 == 8)
-        {
-            field_25052_g = true;
-            timeWolfIsShaking = 0.0F;
-            prevTimeWolfIsShaking = 0.0F;
-        } else
-        {
+        } else if (byte0 == 8) {
+            this.field_25052_g = true;
+            this.timeWolfIsShaking = 0.0F;
+            this.prevTimeWolfIsShaking = 0.0F;
+        } else {
             super.handleEntityEvent(byte0, attackedAtYaw);
         }
     }
 
-    public @Nullable UUID getWolfOwner()
-    {
-        return entityData.getUUID(DATA_OWNER_UUID);
+    public @Nullable UUID getWolfOwner() {
+        return this.entityData.getUUID(DATA_OWNER_UUID);
     }
 
-    public void setWolfOwner(UUID uuid)
-    {
-        entityData.set(DATA_OWNER_UUID, uuid);
+    public void setWolfOwner(UUID uuid) {
+        this.entityData.set(DATA_OWNER_UUID, uuid);
     }
 
-    public boolean isWolfSitting()
-    {
-        return (entityData.getByte(DATA_GENERIC_FLAGS) & MASK_SITTING) != 0;
+    public boolean isWolfSitting() {
+        return (this.entityData.getByte(DATA_GENERIC_FLAGS) & MASK_SITTING) != 0;
     }
 
-    public void setWolfSitting(boolean flag)
-    {
-        byte data = entityData.getByte(DATA_GENERIC_FLAGS);
-        if(flag)
-        {
-            entityData.set(DATA_GENERIC_FLAGS, (byte) (data | MASK_SITTING));
-        } else
-        {
-            entityData.set(DATA_GENERIC_FLAGS, (byte) (data & ~MASK_SITTING));
+    public void setWolfSitting(boolean flag) {
+        byte data = this.entityData.getByte(DATA_GENERIC_FLAGS);
+        if (flag) {
+            this.entityData.set(DATA_GENERIC_FLAGS, (byte) (data | MASK_SITTING));
+        } else {
+            this.entityData.set(DATA_GENERIC_FLAGS, (byte) (data & ~MASK_SITTING));
         }
     }
 
-    public boolean isWolfAngry()
-    {
-        return (entityData.getByte(DATA_GENERIC_FLAGS) & MASK_ANGRY) != 0;
+    public boolean isWolfAngry() {
+        return (this.entityData.getByte(DATA_GENERIC_FLAGS) & MASK_ANGRY) != 0;
     }
 
-    public void setWolfAngry(boolean flag)
-    {
-        byte data = entityData.getByte(DATA_GENERIC_FLAGS);
-        if(flag)
-        {
-            entityData.set(DATA_GENERIC_FLAGS, (byte) (data | MASK_ANGRY));
-        } else
-        {
-            entityData.set(DATA_GENERIC_FLAGS, (byte) (data & ~MASK_ANGRY));
+    public void setWolfAngry(boolean flag) {
+        byte data = this.entityData.getByte(DATA_GENERIC_FLAGS);
+        if (flag) {
+            this.entityData.set(DATA_GENERIC_FLAGS, (byte) (data | MASK_ANGRY));
+        } else {
+            this.entityData.set(DATA_GENERIC_FLAGS, (byte) (data & ~MASK_ANGRY));
         }
     }
 
-    public boolean isWolfTamed()
-    {
-        return (entityData.getByte(DATA_GENERIC_FLAGS) & MASK_TAMED) != 0;
+    public boolean isWolfTamed() {
+        return (this.entityData.getByte(DATA_GENERIC_FLAGS) & MASK_TAMED) != 0;
     }
 
-    public void setWolfTamed(boolean flag)
-    {
-        byte data = entityData.getByte(DATA_GENERIC_FLAGS);
-        if(flag)
-        {
-            entityData.set(DATA_GENERIC_FLAGS, (byte) (data | MASK_TAMED));
-        } else
-        {
-            entityData.set(DATA_GENERIC_FLAGS, (byte) (data & ~MASK_TAMED));
+    public void setWolfTamed(boolean flag) {
+        byte data = this.entityData.getByte(DATA_GENERIC_FLAGS);
+        if (flag) {
+            this.entityData.set(DATA_GENERIC_FLAGS, (byte) (data | MASK_TAMED));
+        } else {
+            this.entityData.set(DATA_GENERIC_FLAGS, (byte) (data & ~MASK_TAMED));
         }
     }
 
